package cn.estsh.i3plus.ext.mes.icloud.sdkfallback;

import cn.estsh.i3plus.ext.mes.icloud.sdk.IWmsWorkOrderBomCheckCloud;
import cn.estsh.i3plus.ext.mes.pojo.model.jx.SxGenerateWorkOrderBomModel;
import cn.estsh.i3plus.pojo.base.bean.BaseFallBackBean;
import cn.estsh.i3plus.pojo.base.bean.BaseResultBean;
import feign.hystrix.FallbackFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

@Component
public class WmsWorkOrderBomCheckFallbackFactory extends BaseFallBackBean implements FallbackFactory<IWmsWorkOrderBomCheckCloud> {
    @Override
    public IWmsWorkOrderBomCheckCloud create(Throwable throwable) {
        return new IWmsWorkOrderBomCheckCloud() {
            @Override
            public BaseResultBean getWorkOrderBom(String workOrderBom, String organizeCode) {
                return makeBaseFallBack("微服调用出错", throwable);
            }

            @Override
            public BaseResultBean doGenerateWorkOrderBom(@RequestBody SxGenerateWorkOrderBomModel model) {
                return makeBaseFallBack("微服调用出错", throwable);
            }
        };
    }
}
